Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.federated
Class ContentManagerFactory

    java.lang.Object
      com.bea.content.federated.ContentManagerFactory

    public class ContentManagerFactory

extends Object

Factory class to instantiate various content management services.

Method Summary
`static ICapabilityManager` | `getCapabilityManager()` Return the ICapabilityManager for capability related operations
`static INodeManager` | `getNodeManager()` Return the INodeManager for node related operations.
`static ISearchManager` | `getSearchManager()` Return the ISearchManager for search related operations
`static ITypeManager` | `getTypeManager()` Return the ITypeManager for type (ObjectClass) related operations.
`static IVersionManager` | `getVersionManager()` Return the IVersionManager for version related operations
`static IVirtualRepositoryManager` | `getVirtualRepositoryManager()` Return the IVirtualRepositoryManager to manage repository configuruations.
`static IWorkflowManager` | `getWorkflowManager()` Return the IWorkflowManager for workflow management.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getNodeManager

    public static INodeManager getNodeManager()

  Return the INodeManager for node related operations.

  Returns
    INodeManager

### getTypeManager

    public static ITypeManager getTypeManager()

  Return the ITypeManager for type (ObjectClass) related operations.

  Returns
    The ITypeManager

### getSearchManager

    public static ISearchManager getSearchManager()

  Return the ISearchManager for search related operations

  Returns
    The ISearchManager

### getVirtualRepositoryManager

    public static IVirtualRepositoryManager getVirtualRepositoryManager()

  Return the IVirtualRepositoryManager to manage repository configuruations.

  Returns
    IVirtualRepositoryManager

### getWorkflowManager

    public static IWorkflowManager getWorkflowManager()

  Return the IWorkflowManager for workflow management.

  Returns
    The IWorkflowManager

### getVersionManager

    public static IVersionManager getVersionManager()

  Return the IVersionManager for version related operations

  Returns
    The IVersionManager

### getCapabilityManager

    public static ICapabilityManager getCapabilityManager()

  Return the ICapabilityManager for capability related operations

  Returns
    The ICapabilityManager

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.